package cn.com.infosec.asn1.cmp;

import cn.com.infosec.asn1.ASN1Encodable;
import cn.com.infosec.asn1.ASN1Sequence;
import cn.com.infosec.asn1.DERObject;
import cn.com.infosec.asn1.x509.CertificateList;

public class CRLAnnContent extends ASN1Encodable {
   private ASN1Sequence content;

   private CRLAnnContent(ASN1Sequence seq) {
      this.content = seq;
   }

   public static CRLAnnContent getInstance(Object o) {
      if (o instanceof CRLAnnContent) {
         return (CRLAnnContent)o;
      } else if (o instanceof ASN1Sequence) {
         return new CRLAnnContent((ASN1Sequence)o);
      } else {
         throw new IllegalArgumentException("Invalid object: " + o.getClass().getName());
      }
   }

   public CertificateList[] toCertificateListArray() {
      int var1;
      CertificateList[] var2 = new CertificateList[var1 = this.content.size()];

      for(int var3 = 0; var3 != var1; ++var3) {
         var2[var3] = CertificateList.getInstance(this.content.getObjectAt(var3));
      }

      return var2;
   }

   public DERObject toASN1Object() {
      return this.content;
   }
}
